Continuously Making Our Software Safer for You and Your Data

You may have seen previous information from Jackrabbit about eliminating the support of some older browsers and platforms. As of today, you will no longer be able to access Jackrabbit if you’re using (IE) Internet Explorer version 7/8. You will need to upgrade IE to the latest version or use Firefox,  Chrome, or Safari. If you try to access using a browser that is no longer supported, you may see a message like “this website doesn’t exist”. Be assured that Jackrabbit does still exist and is up and running. To follow Best Practices for the safety and security of your data and your customers’ data, you must upgrade your current browser or use a new supported browser in order to login to Jackrabbit.

 

 

The same logic also applies if you’re using Microsoft Windows Vista or any earlier version. To access Jackrabbit, you’ll need to upgrade to a newer version of Windows.

 

 

By | 2017-10-24T19:42:00+00:00 October 24th, 2017|Enhancements|0 Comments

About the Author:

mm
After studying graphic design at the University of Georgia, Jill held several positions in media and marketing including Art Director, Editor and Marketing Director. As a student of dance, she has spent plenty of time in children’s activity centers and puts that experience to work for her in the work she does with Jackrabbit. In addition to her interest in dance, Jill also enjoys sports, gourmet cooking, entertaining, singing and spoiling her five grandchildren.

Leave A Comment